## org.apache.tools.ant.taskdefs.condition
Interface Condition

All Known Implementing Classes:
  And, Available, Checksum, Contains, Equals, FilesMatch, Http, IsFalse, IsFileSelected, IsReference, IsSet, IsTrue, Length, Not, Or, Os, Socket, UpToDate

public interface Condition

Interface for conditions to use inside the <condition> task.

Method Summary
`boolean` `eval()` Is this condition true?

Method Detail

### eval

    public boolean eval()
                 throws BuildException

  Is this condition true?

  Returns:
    true if the condition is true
  Throws:
    `BuildException` - if an error occurs

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.